For Developers
Get Enrollment Role
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/enrollment_roles/:enrollment_role_id
Retrieve information about a specific Enrollment Role.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
enrollment_role_id | url | string | The UUID of the desired Enrollment Role. |
Sample Request
axios.get('https://ed.link/api/v2/graph/enrollment_roles/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"code": "STG5",
"name": "Staff - Teacher - Grade 5",
"description": "A teacher of classes for 5th grade students.",
"mapping": "teacher"
},
"$request": "00000000-0000-0000-0000-000000000000"
}